﻿Imports System.Data
Imports System.Data.OleDb
Imports C1.Win.C1FlexGrid
Public Class Form1
    Dim dt As DataTable = New System.Data.DataTable()
    Dim connection As OleDbConnection
    Dim adapter As OleDbDataAdapter

    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'Setting Grid's DataSource
        connection = New OleDbConnection("Provider=Microsoft.Jet.OLEDB.4.0;Data Source=C:\Users\stduser\Documents\ComponentOne Samples\Common\C1NWind.mdb;Persist Security Info=False")
        adapter = New OleDbDataAdapter("Select ProductID, ProductName, QuantityPerUnit, UnitPrice, UnitsInStock from Products", connection)
        adapter.Fill(dt)
        C1FlexGrid1.DataSource = dt
        C1FlexGrid1.AllowFiltering = True

        'Aligning Grid's Columns
        C1FlexGrid1.Rows(0).TextAlign = TextAlignEnum.CenterTop
        C1FlexGrid1.Rows(0).StyleNew.Font = New System.Drawing.Font("Arial", 8, FontStyle.Bold)
        C1FlexGrid1.Cols(1).TextAlign = TextAlignEnum.CenterTop
        C1FlexGrid1.Cols(2).TextAlign = TextAlignEnum.CenterTop
        C1FlexGrid1.Cols(4).TextAlign = TextAlignEnum.CenterTop
        C1FlexGrid1.Cols(5).TextAlign = TextAlignEnum.CenterTop

        'Setting C1RangeSlider's Minimum and Maximum Values        
        C1RangeSlider1.Minimum = 0
        C1RangeSlider1.Maximum = 300
        C1RangeSlider1.UpperValue = 300
        'Customizing Appearance of Thumbs in C1RangeSlider
        Me.C1RangeSlider1.Styles.ThumbStyle.BackColor = System.Drawing.Color.Tan
        Me.C1RangeSlider1.Styles.ThumbStyle.BorderColor = System.Drawing.SystemColors.ActiveCaptionText
        Me.C1RangeSlider1.Styles.ThumbStyle.CornerRadius = 4
        Me.C1RangeSlider1.Styles.ThumbStyle.HotBackColor = System.Drawing.SystemColors.ActiveCaption
        Me.C1RangeSlider1.Styles.ThumbStyle.PressedBackColor = System.Drawing.Color.Gold
    End Sub

    Private Sub C1RangeSlider1_LowerValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles C1RangeSlider1.LowerValueChanged
        lbl_LowerValue.Text = "$" + C1RangeSlider1.LowerValue.ToString()
        Dim filter1 = New ConditionFilter()
        ' configure filter to select items whose UnitPrice lies between c1RangeSlider's LowerValue and UpperValue
        filter1.Condition1.[Operator] = ConditionOperator.GreaterThanOrEqualTo
        filter1.Condition1.Parameter = C1RangeSlider1.LowerValue
        filter1.Condition2.[Operator] = ConditionOperator.LessThanOrEqualTo
        filter1.Condition2.Parameter = C1RangeSlider1.UpperValue

        ' assign new filter to column "UnitPrice"
        C1FlexGrid1.Cols("UnitPrice").Filter = filter1
    End Sub

    Private Sub C1RangeSlider1_UpperValueChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles C1RangeSlider1.UpperValueChanged
        lbl_UpperValue.Text = "$" + C1RangeSlider1.UpperValue.ToString()
        Dim filter2 = New ConditionFilter()
        ' configure filter to select items whose UnitPrice lies between c1RangeSlider's LowerValue and UpperValue
        filter2.Condition1.[Operator] = ConditionOperator.LessThanOrEqualTo
        filter2.Condition1.Parameter = C1RangeSlider1.UpperValue
        filter2.Condition2.[Operator] = ConditionOperator.GreaterThanOrEqualTo
        filter2.Condition2.Parameter = C1RangeSlider1.LowerValue
        ' assign new filter to column "UnitPrice"
        C1FlexGrid1.Cols("UnitPrice").Filter = filter2

    End Sub
End Class
